## net.i2p.client.streaming
Class I2PServerSocketFull

    java.lang.Object
      net.i2p.client.streaming.I2PServerSocketFull

All Implemented Interfaces:
  I2PServerSocket

     class I2PServerSocketFull

extends Object
implements I2PServerSocket

Bridge to allow accepting new connections

Constructor Summary
`I2PServerSocketFull(I2PSocketManagerFull mgr)`

Method Summary
`I2PSocket` `accept()` Warning, unlike regular ServerSocket, may return null
`void` `close()` Close the connection.
`I2PSocketManager` `getManager()` Access the manager which is coordinating the server socket
`long` `getSoTimeout()` Get Sock Option accept timeout
`void` `setSoTimeout(long x)` Set Sock Option accept timeout

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### I2PServerSocketFull

    public I2PServerSocketFull(I2PSocketManagerFull mgr)

Method Detail

### accept

    public I2PSocket accept()
                     throws I2PException,
                            SocketTimeoutException

  Warning, unlike regular ServerSocket, may return null

  Specified by:
    `accept` in interface `I2PServerSocket`
  Returns:
    I2PSocket OR NULL
  Throws:
    `I2PException`
    `SocketTimeoutException`

### getSoTimeout

    public long getSoTimeout()

  Description copied from interface: `I2PServerSocket`
  Get Sock Option accept timeout

  Specified by:
    `getSoTimeout` in interface `I2PServerSocket`
  Returns:
    timeout in ms

### setSoTimeout

    public void setSoTimeout(long x)

  Description copied from interface: `I2PServerSocket`
  Set Sock Option accept timeout

  Specified by:
    `setSoTimeout` in interface `I2PServerSocket`
  Parameters:
    `x` - timeout in ms

### close

    public void close()

  Close the connection.

  Specified by:
    `close` in interface `I2PServerSocket`

### getManager

    public I2PSocketManager getManager()

  Description copied from interface: `I2PServerSocket`
  Access the manager which is coordinating the server socket

  Specified by:
    `getManager` in interface `I2PServerSocket`
  Returns:
    _socketManager